> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get algo order details

GET https://www.okx.com/api/v5/trade/order-algo

Retrieve algo order details. Provide either algoId or algoClOrdId; if both are passed, algoId takes precedence.

Reference: https://okx-demo.ferndocs.com/api/api-reference/trade/get-algo-order

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Query parameters

- `algoId` (string, optional) — Algo ID Either `algoId` or `algoClOrdId` is required.If both are passed, `algoId` will be used.
- `algoClOrdId` (string, optional) — Client-supplied Algo ID A combination of case-sensitive alphanumerics, all numbers, or all letters of up to 32 characters.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5TradeOrderAlgoGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5TradeOrderAlgoGetResponsesContentApplicationJsonSchemaDataItems

- `algoId` (string, optional) — Algo ID
- `algoClOrdId` (string, optional) — Client-supplied Algo ID
- `instType` (string, optional) — Instrument type
- `instId` (string, optional) — Instrument ID
- `ordType` (string, optional) — Order type
- `side` (string, optional) — Order side
- `posSide` (string, optional) — Position side
- `sz` (string, optional) — Quantity to buy or sell
- `state` (string, optional) — State `live` `pause` `partially_effective` `effective` `canceled` `order_failed` `partially_failed`
- `tpTriggerPx` (string, optional) — Take-profit trigger price.
- `slTriggerPx` (string, optional) — Stop-loss trigger price.
- `triggerPx` (string, optional) — trigger price.
- `triggerTime` (string, optional) — Trigger time, Unix timestamp format in milliseconds, e.g. `1597026383085`
- `cTime` (string, optional) — Creation time Unix timestamp format in milliseconds, e.g. `1597026383085`

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "algoId": "1753184812254216192",
      "algoClOrdId": "",
      "instType": "SPOT",
      "instId": "BTC-USDT",
      "ordType": "conditional",
      "side": "buy",
      "posSide": "net",
      "sz": "10",
      "state": "live",
      "tpTriggerPx": "10000",
      "slTriggerPx": "",
      "triggerPx": "",
      "triggerTime": "",
      "cTime": "1724751378980",
      "activePx": "",
      "actualPx": "",
      "actualSide": "",
      "actualSz": "0",
      "amendPxOnTriggerType": "0",
      "attachAlgoOrds": [],
      "callbackRatio": "",
      "callbackSpread": "",
      "ccy": "",
      "chaseType": "",
      "chaseVal": "",
      "clOrdId": "",
      "closeFraction": "",
      "failCode": "0",
      "isTradeBorrowMode": "",
      "last": "62916.5",
      "lever": "",
      "linkedOrd": {
        "ordId": ""
      },
      "maxChaseType": "",
      "maxChaseVal": "",
      "moveTriggerPx": "",
      "ordId": "",
      "ordIdList": [],
      "ordPx": "",
      "pxLimit": "",
      "pxSpread": "",
      "pxVar": "",
      "quickMgnType": "",
      "reduceOnly": "false",
      "slOrdPx": "",
      "slTriggerPxType": "",
      "szLimit": "",
      "tag": "",
      "tdMode": "cash",
      "tgtCcy": "quote_ccy",
      "timeInterval": "",
      "tpOrdPx": "-1",
      "tpTriggerPxType": "last",
      "tradeQuoteCcy": "USDT",
      "triggerPxType": "",
      "uTime": "1724751378980"
    }
  ]
}
```

**SDK Code**

```python trade_getAlgoOrder_example
import requests

url = "https://www.okx.com/api/v5/trade/order-algo"

headers = {"OK-ACCESS-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript trade_getAlgoOrder_example
const url = 'https://www.okx.com/api/v5/trade/order-algo';
const options = {method: 'GET', headers: {'OK-ACCESS-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go trade_getAlgoOrder_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/trade/order-algo"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby trade_getAlgoOrder_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/trade/order-algo")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java trade_getAlgoOrder_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/trade/order-algo")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .asString();
```

```php trade_getAlgoOrder_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/trade/order-algo', [
  'headers' => [
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp trade_getAlgoOrder_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/trade/order-algo");
var request = new RestRequest(Method.GET);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift trade_getAlgoOrder_example
import Foundation

let headers = ["OK-ACCESS-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/trade/order-algo")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```